package com.mcwl.resource.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.mcwl.resource.domain.SysAdvice;
import com.mcwl.resource.domain.vo.AdviceVo;
import com.mcwl.resource.domain.vo.AttentionAdviceVo;
import com.mcwl.resource.domain.vo.CommentAdviceVo;
import com.mcwl.resource.domain.vo.LikeAdviceVo;

import java.util.List;

/**
 * 消息通知 服务层
 *
 * @author mcwl
 */
public interface ISysAdviceService extends IService<SysAdvice> {

    List<AdviceVo> getUserNewMsg();

    List<AdviceVo> getUserSystemNotice();

    List<AdviceVo> getUserAllMsg();

    List<AdviceVo> getAllMsg();

    List<CommentAdviceVo> getCommentMsg(Integer productType);

    List<LikeAdviceVo> getLikeMsg(Integer productType);

    List<AttentionAdviceVo> getAttentionMsg();
}
