package com.mcwl.resource.service;

import com.github.pagehelper.PageInfo;
import com.mcwl.common.core.domain.AjaxResult;
import com.mcwl.common.core.domain.R;
import com.mcwl.common.core.domain.entity.SysUser;
import com.mcwl.resource.domain.SysUserInfo;
import com.mcwl.resource.domain.vo.PageVo;

/**
 * 关注表 业务层
 * @author DaiZibo
 * @date 2025/1/3
 * @apiNote
 */

public interface SysUserAttentionService {
    R<Boolean> addAttention(Long userId);

    Boolean selectAttention(Long userId);

    SysUserInfo selectUserInfo();

    PageInfo<SysUser> selectAttentionPage(PageVo pageVo);

    PageInfo<SysUser> selectToAttentionPage(PageVo pageVo);
}
